VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBox.Scene.GeometryNode Class Reference

Node containing geometric object, by default it's renderable and creates renderer mesh from the object for faster and correct rendering. Keeps geometry object for correct picking / physics. More...

Inheritance diagram for VisimBox.Scene.GeometryNode:

List of all members.

## Public Member Functions
| GeometryNode ()
| Do NOT use unless you're really sure.
| GeometryNode (System.Xml.XmlReader reader)
| XML reader constructor.
| GeometryNode (Node parent, IGeometry geoobject, Type vertexType, IRenderMaterial mat, float quality=0.5f)
| Constructs node with specified parent (and automatically saves itselfs to parents children) and from geoobject.
| GeometryNode (IGeometry geoobject, Type vertexType, IRenderMaterial mat, float quality=0.5f)
| Constructs parentless node from geoobject.
| GeometryNode (IGeometry geoobject, IRenderMaterial mat, float quality=0.5f)
| Constructs parentless node from geoobject.
| GeometryNode (IGeometry geoobject, Mesh mesh, IRenderMaterial mat)
| Constructs node from geoobject with already finished rendering mesh.
override void | UpdateRenderBuffer (RendererEventArgs args)
| Updates render buffer and if mesh object is not yet created from the geometry.
virtual void | CreateMesh ()
| Creates new mesh from geometry object.
override bool | ReadInternalData (System.Xml.XmlReader reader)
| Reads one item of internal data. Should return true if recognized value (for overloading)
override void | WriteInternalData (System.Xml.XmlWriter writer)
| Write internal data of the node to XML, without subnodes (called from WriteXML)
## Protected Member Functions
override bool | PickNodeInternal (ref NodeIntersectionInfo intersinfo)
| Internal picking, expects ray already transformed!
override void | CopyData (Node targetNode)
## Protected Attributes
IGeometry | GeoObject
| Geometric object.
float | RequiredQuality
| Required quality for parametrical objects.
Type | VertexType
| VertexType of the geometry.
## Properties
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Detailed Description

Node containing geometric object, by default it's renderable and creates renderer mesh from the object for faster and correct rendering. Keeps geometry object for correct picking / physics.

## Constructor & Destructor Documentation

VisimBox.Scene.GeometryNode.GeometryNode | ( |  | ) |

Do NOT use unless you're really sure.

VisimBox.Scene.GeometryNode.GeometryNode | ( | System.Xml.XmlReader | reader | ) |

XML reader constructor.

Parameters:

  reader | XML reader

VisimBox.Scene.GeometryNode.GeometryNode | ( | Node | parent,
|  | IGeometry | geoobject,
|  | Type | vertexType,
|  | IRenderMaterial | mat,
|  | float | quality = `0.5f`
| ) |  |

Constructs node with specified parent (and automatically saves itselfs to parents children) and from geoobject.

Parameters:

  parent | Parent node
  geoobject | Geometry object
  vertexType | Required vertex type

VisimBox.Scene.GeometryNode.GeometryNode | ( | IGeometry | geoobject,
|  | Type | vertexType,
|  | IRenderMaterial | mat,
|  | float | quality = `0.5f`
| ) |  |

Constructs parentless node from geoobject.

Parameters:

  parent | Parent node
  geoobject | Geometry object
  vertexType | Required vertex type

VisimBox.Scene.GeometryNode.GeometryNode | ( | IGeometry | geoobject,
|  | IRenderMaterial | mat,
|  | float | quality = `0.5f`
| ) |  |

Constructs parentless node from geoobject.

Parameters:

  parent | Parent node
  geoobject | Geometry object

VisimBox.Scene.GeometryNode.GeometryNode | ( | IGeometry | geoobject,
|  | Mesh | mesh,
|  | IRenderMaterial | mat
| ) |  |

Constructs node from geoobject with already finished rendering mesh.

Parameters:

  parent | Parent node
  geoobject | Geometry object

## Member Function Documentation

override void VisimBox.Scene.GeometryNode.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Scene.NodeMesh.

virtual void VisimBox.Scene.GeometryNode.CreateMesh | ( |  | ) | `[virtual]`

Creates new mesh from geometry object.

Parameters:

  args | Renderer event argumenst (for correct renderer)

Does NOT add mesh to mesh manager as it expects that this mesh will be unique and there's no need to store it in the manager. Might be changed later for more advancer mesh manager with instance counts.

override bool VisimBox.Scene.GeometryNode.PickNodeInternal | ( | ref NodeIntersectionInfo | intersinfo | ) | `[protected, virtual]`

Internal picking, expects ray already transformed!

Parameters:

  intersinfo |

Returns:

Reimplemented from VisimBox.Scene.RenderableNode.

override bool VisimBox.Scene.GeometryNode.ReadInternalData | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Reads one item of internal data. Should return true if recognized value (for overloading)

Parameters:

  reader | Reader to read from

Returns:
  True if value was handled, false if not

Reimplemented from VisimBox.Scene.NodeMesh.

override void VisimBox.Scene.GeometryNode.UpdateRenderBuffer | ( | RendererEventArgs | args | ) | `[virtual]`

Updates render buffer and if mesh object is not yet created from the geometry.

Parameters:

  args |

Reimplemented from VisimBox.Scene.RenderableNode.

override void VisimBox.Scene.GeometryNode.WriteInternalData | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Write internal data of the node to XML, without subnodes (called from WriteXML)

Parameters:

  writer | XML Writer

Reimplemented from VisimBox.Scene.NodeMesh.

## Member Data Documentation

IGeometry VisimBox.Scene.GeometryNode.GeoObject`[protected]`

Geometric object.

float VisimBox.Scene.GeometryNode.RequiredQuality`[protected]`

Required quality for parametrical objects.

Type VisimBox.Scene.GeometryNode.VertexType`[protected]`

VertexType of the geometry.

## Property Documentation

override RenderFlags VisimBox.Scene.GeometryNode.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.NodeMesh.

The documentation for this class was generated from the following file:

- GeometryNode.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events